---
import {getCollection} from 'astro:content';
import FormattedDate from '../components/FormattedDate.astro';

export interface Props {
  limited: boolean;
}

const {limited} = Astro.props;

const posts = (await getCollection('blog')).sort(
  // Neuste zu erst
  (a, b) => new Date(b.data?.pubDate) - new Date(a.data?.pubDate)
);

if (limited) {
  posts.splice(3);
}


const categories = (await getCollection('blog_category'));
---

<div class="bg-white py-24 sm:py-32">
  <div class="mx-auto max-w-7xl px-6 lg:px-8">
    <div class="mx-auto max-w-2xl text-center">
      <h2 class="text-3xl font-bold tracking-tight text-gray-900 sm:text-4xl">Neuigkeiten vom Musikverein
        Obermeitingen e.V.</h2>
      <p class="mt-2 text-lg leading-8 text-gray-600">Immer neuste Infos, was wieder Neues im Verein passiert</p>
    </div>
    {(posts && posts.length > 0) ? (
      <div
        class="mx-auto mt-16 grid max-w-2xl auto-rows-fr grid-cols-1 gap-8 sm:mt-20 lg:mx-0 lg:max-w-none lg:grid-cols-3">
        {
          posts.map((blog) => {
            return (
              <a href={`/neuigkeiten/${blog.slug}`}>
                <article class="flex flex-col items-start justify-between">
                  <div class="relative w-full">
                    <img src={blog.data?.heroImage ?? 'placeholder-blog.svg'} alt={blog.data.title}
                         class="aspect-[16/9] w-full rounded-2xl bg-gray-100 object-cover sm:aspect-[2/1] lg:aspect-[3/2]">
                    <div class="absolute inset-0 rounded-2xl ring-1 ring-inset ring-gray-900/10"></div>
                  </div>
                  <div class="max-w-xl">
                    <div class="mt-8 flex items-center gap-x-4 text-xs">
                      <FormattedDate date={blog.data?.pubDate}/>
                      <span
                        class="relative z-10 rounded-full bg-gray-50 px-3 py-1.5 font-medium text-gray-600 hover:bg-gray-100">
{categories.find(category => category.id === blog.data?.category_ref.id)?.data.name
}</span>
                    </div>
                    <div class="group relative">
                      <h3 class="mt-3 text-lg font-semibold leading-6 text-gray-900 group-hover:text-gray-600">
                        <span class="absolute inset-0"></span>
                        {blog.data.title}
                      </h3>
                      <p class="mt-5 line-clamp-3 text-sm leading-6 text-gray-600">{blog.data.description}</p>
                    </div>

                  </div>
                </article>
              </a>
              )
              })
              }
              </div>) : (
              <div class="text-center my-32">
                <svg class="mx-auto h-12 w-12 text-gray-400" fill="none" viewBox="0 0 24 24" stroke="currentColor"
                     aria-hidden="true">
                  <path vector-effect="non-scaling-stroke" stroke-linecap="round" stroke-linejoin="round"
                        stroke-width="2"
                        d="M9 13h6m-3-3v6m-9 1V7a2 2 0 012-2h6l2 2h6a2 2 0 012 2v8a2 2 0 01-2 2H5a2 2 0 01-2-2z"/>
                </svg>
                <h3 class="mt-2 text-sm font-semibold text-gray-900">Keine Neuigkeiten</h3>
                <p class="mt-1 text-sm text-gray-500">Es kommt mit Sicherheit bald was</p>
              </div>)
              }
              {limited && (
                <div class="mt-16 text-center">
                  <a href="/neuigkeiten"
                     class="rounded-md bg-rose-800 px-3.5 py-2.5 text-sm font-semibold text-white shadow-sm hover:bg-rose-600 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-rose-600">
                    Alle Neuigkeiten <span aria-hidden="true">&rarr;</span>
                  </a>

                </div>
              )}
              </div>
              </div>
